is it possible to install openstack stein or train with python 2.7 and not default python3

asked 2019-12-29 14:13:06 -0500

vasili.namatov gravatar image

Hi, Please advise if there is a way to install Stein or Train release with python2.7 without using any python3 packages on ubuntu 18.04.

Thanks, Vasili

edit retag flag offensive close merge delete

Comments

I want to use calico neutron plugin and it's still not supporting python3. Neutron already based python3 and it's unable to work with calico which is still not supporting python3. I'd like to find some alternative for calico plugin, could you advise?

vasili.namatov gravatar imagevasili.namatov ( 2019-12-29 17:08:02 -0500 )edit

2 answers

Sort by ยป oldest newest most voted
0

answered 2019-12-30 13:45:27 -0500

vasili.namatov gravatar image

Meanwhile you can see some notes about it: TRAIN https://wrestlingpenguins.wordpress.com/2019/10/23/openstack-train-for-ubuntu-18-04-lts/ (https://wrestlingpenguins.wordpress.c...) STEIN https://javacruft.wordpress.com/2019/04/17/openstack-stein-for-ubuntu-18-04-lts/ (https://javacruft.wordpress.com/2019/...)

Rocky is the last guy who still based on python2.7 code.

ROCKY https://wrestlingpenguins.wordpress.com/2018/09/07/openstack-rocky-for-ubuntu-18-04-lts/ (https://wrestlingpenguins.wordpress.c...)

edit flag offensive delete link more

Comments

Rocky is the last guy who still based on python2.7 code.

ROCKY https://wrestlingpenguins.wordpress.com/2018/09/07/openstack-rocky-for-ubuntu-18-04-lts/ (https://wrestlingpenguins.wordpress.c...)

vasili.namatov gravatar imagevasili.namatov ( 2019-12-30 13:45:51 -0500 )edit
0

answered 2019-12-29 21:31:35 -0500

UHL-Services gravatar image

In my knowledge only Ussuri will drop support for python 2, and move completely on python 3 usage.

edit flag offensive delete link more

Comments

Hi, Stein and Train components are essentially written on python3 in those releases. Looks like its nothing to do with the components which are already written on python3 on those releases.

vasili.namatov gravatar imagevasili.namatov ( 2019-12-30 13:44:56 -0500 )edit

Only swift not fully migrated to python3. The rest projects are already on python3.

vasili.namatov gravatar imagevasili.namatov ( 2019-12-30 13:47:13 -0500 )edit

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2019-12-29 14:13:06 -0500

Seen: 287 times

Last updated: Dec 29 '19